#include <Arduino.h>
#include <ESP32Servo.h>

Servo servo[8];
ESP32PWM pwm;

int servoPin[8] = {13, 12, 14, 26, 25, 33, 32, 15};

int minUs = 500;
int maxUs = 2500;

int pos = 0;

void servo_init() {
  for (int i = 0; i < 8; i++) {
    ESP32PWM::allocateTimer(i);
    servo[i].setPeriodHertz(50);
  }
}

void servo_loop() {
  for (int i = 0; i < 8; i++) {
    servo[i].attach(servoPin[i], minUs, maxUs);
  }
  pwm.attachPin(27, 10000);

  //   for (int j = 0; j < 8; j++) {
  //     for (pos = 0; pos <= 180; pos += 1) {
  //       servo[j].write(pos);
  //       Serial.println(pos);
  //       delay(5);
  //     }
  //     for (pos = 0; pos <= 180; pos += 1) {
  //       servo[j].write(180 - pos);
  //       Serial.println(180 - pos);
  //       delay(5);
  //     }
  //   }

  for (int i = 0; i < 8; i++) {
    servo[i].detach();
  }
  pwm.detachPin(27);
}